#include "ThermometerPro.h"

#include "AD7190.h"

void setup() {
  Serial.begin(9600);

  delay(5000);
  Serial.print("Hello world\n");

  unsigned char ad7190Status = AD7190_Init();
  Serial.print(String("ad7190Status: ") + ad7190Status + "\n");


  delay(1000);
  AD7190_Calibrate(AD7190_MODE_CAL_INT_ZERO, AD7190_CH_TEMP_SENSOR);

  delay(1000);
  AD7190_Calibrate(AD7190_MODE_CAL_INT_FULL, AD7190_CH_TEMP_SENSOR);

}


unsigned long T() {
  AD7190_RangeSetup(0, AD7190_CONF_GAIN_1);
  AD7190_ChannelSelect(AD7190_CH_TEMP_SENSOR);
  unsigned long t = AD7190_SingleConversion();
  return t;
}

void loop() {
  Serial.print("Tick\n");

  unsigned long t = AD7190_TemperatureRead();
  Serial.println(t);

  delay(1000);
}
